package com.ruoyi.project.production.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.production.mapper.TSaiFileMapper;
import com.ruoyi.project.production.domain.TSaiFile;
import com.ruoyi.project.production.service.ITSaiFileService;

/**
 * SAI文件Service业务层处理
 *
 * @author ruoyi
 * @date 2023-04-06
 */
@Service
public class TSaiFileServiceImpl implements ITSaiFileService
{
    @Autowired
    private TSaiFileMapper tSaiFileMapper;

    /**
     * 查询SAI文件
     *
     * @param id SAI文件ID
     * @return SAI文件
     */
    @Override
    public TSaiFile selectTSaiFileById(Long id)
    {
        return tSaiFileMapper.selectTSaiFileById(id);
    }

    /**
     * 查询SAI文件列表
     *
     * @param tSaiFile SAI文件
     * @return SAI文件
     */
    @Override
    public List<TSaiFile> selectTSaiFileList(TSaiFile tSaiFile)
    {
        return tSaiFileMapper.selectTSaiFileList(tSaiFile);
    }

    /**
     * 新增SAI文件
     *
     * @param tSaiFile SAI文件
     * @return 结果
     */
    @Override
    public int insertTSaiFile(TSaiFile tSaiFile)
    {
        return tSaiFileMapper.insertTSaiFile(tSaiFile);
    }

    /**
     * 修改SAI文件
     *
     * @param tSaiFile SAI文件
     * @return 结果
     */
    @Override
    public int updateTSaiFile(TSaiFile tSaiFile)
    {
        return tSaiFileMapper.updateTSaiFile(tSaiFile);
    }

    /**
     * 批量删除SAI文件
     *
     * @param ids 需要删除的SAI文件ID
     * @return 结果
     */
    @Override
    public int deleteTSaiFileByIds(Long[] ids)
    {
        return tSaiFileMapper.deleteTSaiFileByIds(ids);
    }

    /**
     * 删除SAI文件信息
     *
     * @param id SAI文件ID
     * @return 结果
     */
    @Override
    public int deleteTSaiFileById(Long id)
    {
        return tSaiFileMapper.deleteTSaiFileById(id);
    }
}
